# std::_Reference_wrapper_base< _Tp > Struct Template Reference

Inheritance diagram for std::_Reference_wrapper_base< _Tp >:

## Detailed Description

### template<typename _Tp>
struct std::_Reference_wrapper_base< _Tp >

Derives from unary_function or binary_function when it can. Specializations handle all of the easy cases. The primary template determines what to do with a class type, which may derive from both unary_function and binary_function.

Definition at line 350 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional